$(document).ready(function(){
    $("#submitbut").mouseover(function(){
        //alert('ha');
        var date = $("#datemaster").val();
        if(date == "")
        {
            $("#datemaster").css("border","1px solid red");
            $("#datemaster").css("box-shadow","2px 1px 3px 1px rgba(241, 70, 70, 0.979)");
    
            $("#submitbut").prop("disabled",true);
        }
    });
    $("#submitbut").keyup(function(){
        alert('ha');
        var date = $("#datemaster").val();
        if(date == "")
        {
            $("#datemaster").css("border","1px solid red");
            $("#datemaster").css("box-shadow","2px 1px 3px 1px rgba(241, 70, 70, 0.979)");
    
            $("#submitbut").prop("disabled",true);
        }
    });
    $("#datemaster").click(function(){
        $("#datemaster").css("border","1px solid skyblue");
            $("#datemaster").css("box-shadow","2px 1px 3px 1px skyblue");
    
            $("#submitbut").prop("disabled",false);
    });
    });